osl::eval::ml::PieceStandCombinationBoth Class Reference

`#include <pieceStand.h>`

## Public Types

enum | { ONE_DIM = 16384 , DIM = ONE_DIM * EvalStages }

## Static Public Member Functions

static void | setUp (const Weights &weights)
static MultiInt | eval (const NumEffectState &state)

## Static Private Attributes

static CArray< MultiInt, 16384 > | table

## Detailed Description

Definition at line 158 of file eval/pieceStand.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
ONE_DIM |
DIM |

Definition at line 161 of file eval/pieceStand.h.

## Member Function Documentation

## eval()

osl::MultiInt osl::eval::ml::PieceStandCombinationBoth::eval | ( | const NumEffectState & | state | ) |

static

Definition at line 442 of file eval_pieceStand.cc.

References osl::BISHOP, osl::BLACK, osl::GOLD, osl::SimpleState::hasPieceOnStand(), osl::KNIGHT, osl::LANCE, osl::PAWN, osl::ROOK, osl::SILVER, table, and osl::WHITE.

Referenced by osl::eval::ml::OpenMidEndingEval::OpenMidEndingEval(), and osl::eval::ml::OpenMidEndingEval::updateSub().

## setUp()

void osl::eval::ml::PieceStandCombinationBoth::setUp | ( | const Weights & | weights | ) |

static

Definition at line 422 of file eval_pieceStand.cc.

References osl::NStages, ONE_DIM, table, and osl::eval::ml::Weights::value().

## Member Data Documentation

## table

osl::CArray< osl::MultiInt, 16384 > osl::eval::ml::PieceStandCombinationBoth::table

static private

Definition at line 165 of file eval/pieceStand.h.

Referenced by eval(), and setUp().

The documentation for this class was generated from the following files:

- eval/pieceStand.h
- eval_pieceStand.cc